Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000067SpeedFanOtherpublic2004-08-17 20:392011-03-19 18:17
Reportergxc 
Assigned Toalfredo 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMSI 6380V3OSXPOS Versioncurrent updates
Product Version4.14 
Target VersionFixed in Version4.43 
Summary0000067: Errors when launching as a 'limited' user
DescriptionSpeedfan is unable to access/modify the cfg files when a non-administrator/non-poweruser logs on to an XP system. this procudes multiple errors and results in SpeedFan running with incorrect settings
Steps To Reproduce1. With an administrator account, install and configure SpeedFan
2. Logon with a 'limited' account
3. Start SpeedFan
Additional InformationAny solution to this problem should consider that 'limited' users should *not* be permitted to alter the speedfan settings.
TagsNo tags attached.
Motherboard Model
Video Card Model
Attached Filesjpg file icon startup_error.JPG [^] (10,191 bytes) 2004-08-17 20:39

- Relationships

-  Notes
(0001328)
Scotch85354 (reporter)
2005-11-02 22:15

I encountered the same error.

Solution:

Log in as Admin, give Standard User full access to "speedfanparams.cfg".
Now Speedfan starts as usual despite the problem that it cannot receive the S.M.A.R.T.-informations from the HDDs.
(0001332)
gxc (reporter)
2005-11-04 03:47

While the suggestion from Scotch85354 may work, I would consider it a 'hack' rather than a solution. The application, ideally, would install such that it would function properly for any user. Additionally, SMART info should be condsidered a component of proper operation.

Additionally, granting standard users full access to 'speedfanparams.cfg' violates the general rule that only administrative users should be permitted to alter critical files.
-GxC
(0001334)
Scotch85354 (reporter)
2005-11-04 07:45

Okay, you may call it a hack, but the problem seems to be related to the fact that 'speedfanparams.cfg' is located on C:\ in the programm folder and as limited user you are not allowed to change files there.

It should be considered to put the 'speedfanparams.cfg' in the user's setting's folder, I think. This would solve at least this problem without giving the limited user additional full access to that file!

That still leaves the problem open that may be the philosophy is not to let a standard user change critical options in speedfan. But actually it's not a good idea to have Windows running all the time as administrator- or power-user to limit the chance to catch a virus or other malware.
(0001339)
alfredo (manager)
2005-11-05 12:36

You are both correct. There are some things to consider here. Any way to handle/fix this issue would have its pros and its cons. I'm trying to figure out the best thing to do. I'm working on a new program structure and it will try to find a final fix for this.
(0001374)
gxc (reporter)
2005-11-19 08:30

Scotch:
I absolutely agree that running as Admin or Power User is not advisable. My point is that only administrators should be allowed to change the speedfan settings, but when non-admin users log on, the application should launch without generating errors/without failing to properly control fan speeds per the settings in the cfg.

Alfredo: Perhaps the settings should reside in the registry?

-G
(0001461)
SilverXXX (reporter)
2006-01-25 12:27

Is it possible to store configuration under the home directory? In this way every user have its own config
(0005957)
alfredo (manager)
2011-03-19 18:17

Since 4.43 administrator privilege elevation is enforced.

- Issue History
Date Modified Username Field Change
2004-08-17 20:39 gxc New Issue
2004-08-17 20:39 gxc File Added: startup_error.JPG
2005-11-02 22:15 Scotch85354 Note Added: 0001328
2005-11-04 03:47 gxc Note Added: 0001332
2005-11-04 07:45 Scotch85354 Note Added: 0001334
2005-11-05 12:36 alfredo Note Added: 0001339
2005-11-05 12:36 alfredo Severity minor => feature
2005-11-05 12:36 alfredo Status assigned => acknowledged
2005-11-19 08:30 gxc Note Added: 0001374
2006-01-25 12:27 SilverXXX Note Added: 0001461
2011-03-19 18:17 alfredo Note Added: 0005957
2011-03-19 18:17 alfredo Status acknowledged => resolved
2011-03-19 18:17 alfredo Resolution open => fixed
2011-03-19 18:17 alfredo Fixed in Version => 4.43


Copyright © 2000 - 2018 MantisBT Team
Time: 0.2949 seconds.
memory usage: 8,102 KB
Powered by Mantis Bugtracker